Subject: Re: bug#24902: Antw: [EXT] Re: bug#24902: 25.1; C-x = for Unicode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Jan 2022 18:46:55 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked],
>   [email-masked]
> Date: Sun, 30 Jan 2022 16:47:49 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > For example, when there's some problem with cursor position, and I
> > want to know where point _really_ is.  Also, when there are many
> > similar characters in the buffer, and seeing both the character itself
> > and its position goes a long way towards disambiguating stuff.
> >
> > The "part of display ..." and the EOB indication are also occasionally
> > very useful.
> 
> Thanks; I see.  This sounds very useful especially when debugging the
> Emacs display, but perhaps isn't what most users would feel is vital?
> (But I don't know one way or the other.)

Those are my frequent use cases.

> If we split this up into two commands, but added a user option to get
> the combined display back on `C-x =', would that be acceptable for you?
> (I'm not saying that I actually want that, but just exploring what our
> options are here; I don't have any strong feelings on the matter.)

Why not put the 2 new commands on 2 other keys, and leave "C-x ="
alone?